Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2017-13776

Published: 30 August 2017

GraphicsMagick 1.3.26 has a denial of service issue in ReadXBMImage() in a coders/xbm.c "Read hex image data" version!=10 case that results in the reader not returning; it would cause large amounts of CPU and memory consumption although the crafted file itself does not request it.

From the Ubuntu Security Team

It was discovered that GraphicsMagick incorrectly handled certain image files. An attacker could possibly use this issue to cause a denial of service or other unspecified impact.

Priority

Medium

Cvss 3 Severity Score

6.5

Score breakdown

Status

Package Release Status
graphicsmagick
Launchpad, Ubuntu, Debian
impish Not vulnerable
(1.3.26-8)
groovy Not vulnerable
(1.3.26-8)
artful Ignored
(end of life)
bionic Not vulnerable
(1.3.26-8)
cosmic Not vulnerable
(1.3.26-8)
disco Not vulnerable
(1.3.26-8)
eoan Not vulnerable
(1.3.26-8)
focal Not vulnerable
(1.3.26-8)
hirsute Not vulnerable
(1.3.26-8)
jammy Not vulnerable
(1.3.26-8)
upstream Needs triage

xenial
Released (1.3.23-1ubuntu0.3)
zesty Ignored
(end of life)
trusty
Released (1.3.18-1ubuntu3.1+esm3)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)

Severity score breakdown

Parameter Value
Base score 6.5
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H